Fetch details of active calls

This API allows you to fetch details of active calls.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request GET \
     --url https://api-smartflo.tatateleservices.com/v1/live_calls
     --header 'accept: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Query Params)

The following parameter is required to fetch details of active calls.

Variable NameDescriptionData Type
agent_numberNumber of the agent.string
extensionExtension of the agent.string
did_numberNumber from which the call is routed from.string
call_idUnique ID of the call.string

Sample Response

[
  {
    "id": 176363835,
    "user_id": 4753,
    "client_id": null,
    "call_id": "1715252026.405915",
    "direction": 2,
    "source": "+9100000000029",
    "type": "click-to-call",
    "did": "+917969664304",
    "multiple_destination_type": "c2c",
    "multiple_destination_name": "PJSIP/+9643116782",
    "destination": "09xxxxx6782,096cccccc16782",
    "state": "Answered",
    "queue_state": null,
    "channel_id": "PJSIP/BangaloreTestingSIP1-New-8069651000_622342b6e7a80-0002fbf7",
    "created_at": "2024-05-09 16:23:46",
    "sip_domain": "10.104.69.118",
    "broadcast_id": null,
    "broadcast_no": null,
    "call_time": "00:00:52",
    "agent_name": "xyz",
    "customer_number": "0964xxxx782"
  }
]

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
idID of the callInteger
user_idCustomer's unique IDInteger
client_idCustomer's client IDString
call_idUnique ID of callString
directionDirection of call
[1: inbound, 2: outbound]
Integer
sourceNumber from where call originatedString
typeType of callString
didCaller ID shown to customerString
multiple_destination_typeType of multi-destination call.
[ eg: Click to call (c2c) ]
String
multiple_destination_nameNumber for multi-destination callString
destinationDestination number for callString
stateCall's current stateString
queue_stateCall’s state while waiting in queue.String
channel_idChannel IDString
created_atStart stamp of callString
sip_domainSip domain for callString
broadcast_idUnique ID of broadcastString
broadcast_noLead's numberString
call_timeDuration of callString
agent_nameAgent's nameString
customer_numberCustomer number at which the call was directed.String
Query Params
string
string
string
string
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json